JdbcDouble (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql.jdbc
Class JdbcDouble

    java.lang.Object
      org.apache.cassandra.cql.jdbc.AbstractJdbcType<java.lang.Double>
          org.apache.cassandra.cql.jdbc.JdbcDouble

    public class JdbcDouble

extends AbstractJdbcType<java.lang.Double>

Field Summary
`static JdbcDouble` | `instance`

Method Summary
`java.lang.Double` | `compose(java.nio.ByteBuffer bytes)`
`int` | `getJdbcType()`
`int` | `getPrecision(java.lang.Double obj)`
`int` | `getScale(java.lang.Double obj)`
`java.lang.String` | `getString(java.nio.ByteBuffer bytes)`
`java.lang.Class<java.lang.Double>` | `getType()`
`boolean` | `isCaseSensitive()`
`boolean` | `isCurrency()`
`boolean` | `isSigned()`
`boolean` | `needsQuotes()`
`java.lang.String` | `toString(java.lang.Double obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final JdbcDouble instance

Method Detail

### isCaseSensitive

    public boolean isCaseSensitive()

  Specified by:
    `isCaseSensitive` in class `AbstractJdbcType<java.lang.Double>`

### getScale

    public int getScale(java.lang.Double obj)

  Specified by:
    `getScale` in class `AbstractJdbcType<java.lang.Double>`

### getPrecision

    public int getPrecision(java.lang.Double obj)

  Specified by:
    `getPrecision` in class `AbstractJdbcType<java.lang.Double>`

### isCurrency

    public boolean isCurrency()

  Specified by:
    `isCurrency` in class `AbstractJdbcType<java.lang.Double>`

### isSigned

    public boolean isSigned()

  Specified by:
    `isSigned` in class `AbstractJdbcType<java.lang.Double>`

### toString

    public java.lang.String toString(java.lang.Double obj)

  Specified by:
    `toString` in class `AbstractJdbcType<java.lang.Double>`

### needsQuotes

    public boolean needsQuotes()

  Specified by:
    `needsQuotes` in class `AbstractJdbcType<java.lang.Double>`

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Specified by:
    `getString` in class `AbstractJdbcType<java.lang.Double>`

### getType

    public java.lang.Class<java.lang.Double> getType()

  Specified by:
    `getType` in class `AbstractJdbcType<java.lang.Double>`

### getJdbcType

    public int getJdbcType()

  Specified by:
    `getJdbcType` in class `AbstractJdbcType<java.lang.Double>`

### compose

    public java.lang.Double compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractJdbcType<java.lang.Double>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation